<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/view_bottom"
        android:orientation="vertical"
        android:padding="@dimen/margin_4x_size">

        <ImageView
            android:id="@+id/image_view_back"
            android:layout_width="35dp"
            android:layout_height="25dp"
            android:layout_marginStart="-5dp"
            android:layout_marginTop="15dp"
            android:src="@drawable/ic_left_back"
            app:tint="@color/colorPrimary" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/default_home_margin_top"
            android:text="@string/register"
            android:textColor="@color/colorPink"
            android:textSize="@dimen/default_home_text_size" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/ctv_phone_number"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/height_only_box_login"
                    android:layout_marginTop="@dimen/margin_12x_size"
                    android:background="@drawable/bg_edit_text"
                    android:digits="0123456789"
                    android:hint="@string/phone_number"
                    android:imeOptions="actionNext"
                    android:inputType="phone"
                    android:maxLength="15"
                    android:paddingStart="@dimen/margin_2x_size"
                    android:paddingTop="@dimen/margin_1x_size"
                    android:paddingEnd="@dimen/margin_2x_size"
                    android:paddingBottom="@dimen/margin_1x_size"
                    android:textSize="@dimen/default_edittext_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/ctv_email"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/height_only_box_login"
                    android:layout_marginTop="@dimen/margin_2x_size"
                    android:background="@drawable/bg_edit_text"
                    android:hint="@string/email_optional"
                    android:imeOptions="actionNext"
                    android:inputType="textEmailAddress"
                    android:paddingStart="@dimen/margin_2x_size"
                    android:paddingTop="@dimen/margin_1x_size"
                    android:paddingEnd="@dimen/margin_2x_size"
                    android:paddingBottom="@dimen/margin_1x_size"
                    android:singleLine="true"
                    android:textSize="@dimen/default_edittext_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/ctv_password"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/height_only_box_login"
                    android:layout_marginTop="@dimen/margin_2x_size"
                    android:background="@drawable/bg_edit_text"
                    android:hint="@string/password"
                    android:imeOptions="actionNext"
                    android:inputType="textPassword"
                    android:paddingStart="@dimen/margin_2x_size"
                    android:paddingTop="@dimen/margin_1x_size"
                    android:paddingEnd="@dimen/margin_2x_size"
                    android:paddingBottom="@dimen/margin_1x_size"
                    android:singleLine="true"
                    android:textSize="@dimen/default_edittext_size" />

                <com.seatel.mobilehall.util.customview.CustomEditText
                    android:id="@+id/ctv_confirm_password"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/height_only_box_login"
                    android:layout_marginTop="@dimen/margin_2x_size"
                    android:background="@drawable/bg_edit_text"
                    android:hint="@string/confirm_password"
                    android:imeOptions="actionDone"
                    android:inputType="textPassword"
                    android:paddingStart="@dimen/margin_2x_size"
                    android:paddingTop="@dimen/margin_1x_size"
                    android:paddingEnd="@dimen/margin_2x_size"
                    android:paddingBottom="@dimen/margin_1x_size"
                    android:singleLine="true"
                    android:textSize="@dimen/default_edittext_size" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:gravity="center_vertical">

                    <!--<android.support.v7.widget.AppCompatCheckBox-->
                    <!--android:id="@+id/checkbox_terms_and_service"-->
                    <!--android:layout_width="15dp"-->
                    <!--android:layout_height="15dp"-->
                    <!--android:layout_marginBottom="11dp"-->
                    <!--android:layout_marginEnd="5dp"-->
                    <!--android:layout_marginTop="@dimen/small_text_size"-->
                    <!--android:background="@drawable/bg_term_and_service"-->
                    <!--android:button="@null"-->
                    <!--android:padding="20dp"-->
                    <!--android:textColor="@color/colorGray" />-->

                    <com.seatel.mobilehall.util.customview.TermServicePrivacyPolicyView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textAlignment="center" />

                </LinearLayout>

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:id="@+id/button_yes"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/button_height"
                    android:layout_marginTop="@dimen/margin_3x_size"
                    android:background="@drawable/bg_button_primary"
                    android:gravity="center"
                    android:text="@string/yes"
                    android:textAllCaps="false"
                    android:textColor="@android:color/white"
                    android:textSize="@dimen/default_text_size" />

                <LinearLayout
                    android:id="@+id/view_socail_login"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_2x_size"
                    android:paddingStart="@dimen/margin_9x_size"
                    android:paddingEnd="@dimen/margin_9x_size"
                    android:visibility="gone">

                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/image_view_fb"
                        android:layout_width="@dimen/margin_10x_size"
                        android:layout_height="@dimen/margin_10x_size"
                        android:layout_weight="1"
                        android:src="@drawable/ic_facebook"
                        android:tint="@android:color/darker_gray" />

                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/image_view_we_chat"
                        android:layout_width="@dimen/margin_10x_size"
                        android:layout_height="@dimen/margin_10x_size"
                        android:layout_weight="1"
                        android:scaleType="centerCrop"
                        android:src="@drawable/ic_we_chat" />

                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/image_view_instagram"
                        android:layout_width="@dimen/margin_10x_size"
                        android:layout_height="@dimen/margin_10x_size"
                        android:layout_weight="1"
                        android:src="@drawable/ic_instagram" />

                    <!--   <de.hdodenhof.circleimageview.CircleImageView
                           android:id="@+id/image_view_link_in"
                           android:layout_width="@dimen/margin_10x_size"
                           android:layout_height="@dimen/margin_10x_size"
                           android:layout_weight="1"
                           android:src="@drawable/ic_linkin" />-->

                </LinearLayout>
            </LinearLayout>
        </ScrollView>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/view_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="25dp"
        android:gravity="bottom|center"
        android:orientation="horizontal">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/already_member"
            android:textColor="@android:color/black"
            android:textSize="@dimen/default_text_size" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_login"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_1x_size"
            android:text="@string/log_in"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/default_text_size" />

    </LinearLayout>

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</RelativeLayout>
